Page MenuHomePhabricator

Bonding period report for Reinvent Translation Search
Closed, ResolvedPublic

Description

Work done

  • Setup the test wiki at Wikimedia Foundation Labs Tools.
  • Links to related patches merged
  • Identify customers and reach out to customers for their feedback.link 1, link 2

Lessons learnt

  • In depth working of internationalization and localization.
  • Adding new message groups in search translations.
  • Different features supported in elasticsearch.
  • How to use MediaWiki IRC channels.
  • Using gerrit for patch submission.

Minimum Viable Product for the project decided

  • Support for cross language search
  • Make use of API to retrieve outdated and fuzzy translations.
  • Update index mapping to provide more specialized search like case sensitive, wildcard searches, etc.
  • Add search operators to apply filter prior to search.
  • Autosuggest feature using elasticsearch and mediawiki search suggestion.
  • Use grouppath parameter to list subgroups under group (if it does not work investigate and try with AJAX).

Communication Plan

  • Notify users on Wikimedia wikis.
  • Communicate with mentors over IRC.
  • Complete weekly progress reports.
  • Create various phabricator tasks for exhaustive discussions.
  • Patch submission in gerrit for code review.

Event Timeline

Phoenix303 updated the task description. (Show Details)
Phoenix303 raised the priority of this task from to Low.
Phoenix303 added a project: Translation-search.
Phoenix303 added subscribers: Qgil, Niharika, Manybubbles and 4 others.
Qgil renamed this task from Bonding period report to Bonding period report for Reinvent Translation Search.May 19 2015, 6:37 AM
Qgil set Security to None.
Phoenix303 updated the task description. (Show Details)May 19 2015, 7:39 AM
Communication Plan

I think we also agreed on remembering to notify users on Wikimedia wikis, perhaps not individually.

Phoenix303 updated the task description. (Show Details)May 24 2015, 4:09 PM

Thanks @Nemo_bis for reminding :)

Nemo_bis closed this task as Resolved.May 31 2015, 2:00 PM
Nemo_bis claimed this task.